# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "blinc_animation"
version = "0.1.12"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Blinc animation system - spring physics, keyframes, and timeline orchestration"
documentation = "https://docs.rs/blinc_animation"
readme = "README.md"
keywords = [
    "ui",
    "gui",
    "animation",
    "spring",
    "blinc",
]
categories = ["gui"]
license = "Apache-2.0"
repository = "https://github.com/project-blinc/Blinc"

[features]
default = []
zrtl-plugin = []

[lib]
name = "blinc_animation"
crate-type = ["lib"]
path = "src/lib.rs"

[dependencies.blinc_core]
version = "0.1.12"

[dependencies.slotmap]
version = "1.0"

[dependencies.smallvec]
version = "1.11"

[dependencies.tracing]
version = "0.1"
